<?xml version="1.0" encoding="UTF-8"?>
<module name="org.infinispan.server.hotrod" slot="ispn-9.4" xmlns="urn:jboss:module:1.5">
   <properties>
      <property name="jboss.api" value="private"/>
   </properties>
   <resources>
      <artifact name="org.infinispan:infinispan-server-hotrod:9.4.0.Alpha1"/>
   </resources>

   <dependencies>
      <module name="javax.api"/>
      <module name="javax.transaction.api"/>
      <module name="org.apache.xerces" services="import"/>
      <module name="org.infinispan.core" slot="ispn-9.4"/>
      <module name="org.infinispan.commons" slot="ispn-9.4"/>
      <module name="org.infinispan.counter" slot="ispn-9.4"/>
      <!-- Netty is exported by server core -->
      <module name="org.infinispan.server" slot="ispn-9.4"/>
      <module name="org.infinispan.scripting" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.tasks" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.remote-query.server" services="import" slot="ispn-9.4"/>
      <module name="org.infinispan.remote-query.client" slot="ispn-9.4"/>
      <module name="org.infinispan.objectfilter" slot="ispn-9.4"/>
      <module name="org.infinispan.query" slot="ispn-9.4"/>
      <module name="org.infinispan.counter" services="import" slot="ispn-9.4"/>
      <module name="org.jboss.logging"/>
      <module name="org.jboss.marshalling" services="import" slot="ispn-9.4"/>
      <module name="org.jgroups" slot="ispn-9.4"/>
      <module name="org.wildfly.security.elytron-private" services="import"/>
   </dependencies>
</module>
